package com.hfkj.service;

import com.hfkj.entity.BsMerLedger;
import com.hfkj.sysenum.PlatformTypeEnum;

/**
 * @className: BsMerLedgerService
 * @author: HuRui
 * @date: 2023/4/18
 **/
public interface BsMerLedgerService {

    /**
     * 编辑商户分账信息
     * @param merLedger
     */
    void editMerLedger(BsMerLedger merLedger);

    /**
     * 商户分账功能申请
     * @param merLedger
     */
    void merLedgerApply(BsMerLedger merLedger);

    /**
     * 查询商户分账信息
     * @param merId
     * @param platformType
     * @return
     */
    BsMerLedger getMerLedger(Long merId, PlatformTypeEnum platformType);

    /**
     * 查询商户分账信息
     * @param id
     * @return
     */
    BsMerLedger getMerLedgerById(Long id);


}
